/*
 * daemon.c -- Different things that can parent a shell -- January 1988
 *
 * Copyright (C) 1988, 1996  Philip L. Budne
 *
 * This file is part of "Phil's Finger Program".
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 */

# ifndef lint
static char *rcsid = "$Id: daemon.c,v 3.9 2000/02/18 06:04:05 phil Exp $";
# endif /* lint not defined */

# include "finger.h"
# include "daemon.h"

struct daemon daemons [] = {
    /* cmd		short		long */

# ifdef sun
    /* SunView or OpenLook (shell/cmdtool)! */
    {"cmdtool",		"cmdtool",	"Command Tool" },

    {"suntools",	"suntools",	"SunView (suntools)" },
    {"vt100tool",	"vt100tool",	"SunView (vt100tool)" },
    {"othertools",	"othertools",	"SunView (othertools)" },
    {"dbxtool",		"dbxtool",	"SunView (dbxtool)" }, /* use ptys? */
    {"dnalogind",	"DNA",		"DNA login" },	/* Sun DECnet? */
    {"dnaserver",	"DNI",		"Sunlink/DNI" }, /* ditto? */
    {"psterm",		"NeWs",		"NeWs Window" },
    {"olwm",		"olook",	"OpenLook" },
# endif /* sun defined */

# ifdef IN_DOT_DAEMON
    {"in.rlogind",	"rlogin",	"Remote Login" },
    {"in.telnetd",	"telnet",	"Telnet" },
    {"in.supdupd",	"supdup",	"Supdup" },
    {"in.rshd",		"rsh",		"Remote Shell" },
# else  /* IN_DOT_DAEMON not defined */
    {"rlogind",		"rlogin",	"Remote Login"},
    {"telnetd",		"telnet",	"Telnet" },
    {"supdupd",		"supdup",	"Supdup" },
    {"rshd",		"rsh",		"Remote Shell" },
# endif /* IN_DOT_DAEMON not defined */

# ifdef ultrix
    {"dlogin",		"dlogin",	"DECnet Login" },
    {"dlogind",		"dlogin",	"DECnet Login" },
    {"dtermd",		"dterm",	"DECnet Terminal" }, /* cterm? */
    {"dnet_spawner",	"decnet",	"DECnet" },	/* SNH? */
    {"telnet.gw",	"telnet",	"Telnet GW" },	/* SNH? */
    {"dxterm",		"dxterm",	"DXTerm" },
# endif /* ultrix defined */

# ifdef sgi
    {"wsh",		"wsh",		"NeWs Window"},
    {"grcond",		"grcond",	"Graphics Console"},
# endif /* sgi defined */

# if defined(AIX_RT) || defined(AIX_PS2) || defined(AIX_RS6K)
    {"aixterm",		"aixterm",	"AIXTerm" },	/* no host in utmp */
# endif /* defined(AIX_RT) || defined(AIX_PS2) || defined(AIX_RS6K) */

# ifdef hpux
    {"hpterm",		"hpterm",	"HPTerm" },	/* no host in utmp */
# endif /* hpux defined */

# ifdef CDE
    {"dtterm",		"dtterm",	"DTTerm" },
    {"dtsession",	"dtsession",	"CDE Session"},
    {"Xsession",	"dtsession",	"CDE Session"},
# endif /* CDE defined */

    {"xterm",		"xterm",	"XTerm" },	/* no host in utmp */

    {"inetd",		"inet",		"Internet" },	/* SNH: failsafe */

    /* **************** put under ifdefs? **************** */

    /* 4.3 XNS */
    {"GAP3d",		"GAP3",		"XNS GAP3" },
    {"xnscourierd",	"XNS",		"XNS Courier" }, /* snh */

    /* MIT Chaosnet */
    {"TELNET",		"chtn",		"Chaos Telnet" },
    {"SUPDUP",		"chsupdup",	"Chaos" },	/* ever get this? */
    {"chserver",	"chaos",	"Chaosnet" },	/* snh */

    /* Stanford PUP - Bill Nowicki and Jeff Mogul */
    {"telser",		"pup",		"PUP" },

    /* should not happen if ut_host is xxx:S.n */
    {"screen",		"screen",	"Screen" },

    /* secure shell */
    {"sshd",		"ssh",		"Secure Shell" },
    {"sshd1",		"ssh",		"Secure Shell" },
    {"sshd2",		"ssh",		"Secure Shell" },

    /* Livingston PortMaster prop. protocol */
# ifdef IN_DOT_DAEMON
    {"in.pmd",		"pm",		"PortMaster" },
# else  /* IN_DOT_DAEMON not defined */
    {"pmd",		"pm",		"PortMaster" },
# endif /* IN_DOT_DAEMON not defined */

# ifdef LOCAL_DAEMONS
    LOCAL_DAEMONS,
# endif /* LOCAL_DAEMONS defined */

    {0, 0, 0}
}; /* daemons[] */

/*
 * Local variables:
 * comment-column: 56
 * End:
 */
