/*
 * locname.c -- create ttyloc file paths for ttyloc.c and finger
 *
 * Copyright (C) 1986, 1996  Philip L. Budne
 *
 * This file is part of "Phil's Finger Program".
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 */

# ifndef lint
static char *rcsid = "$Id: locname.c,v 3.3 1996/06/04 05:09:37 phil Exp $";
# endif /* lint not defined */

# include "finger.h"

extern char localhost[];

LOCAL char *append(dest, src)
    register char *dest, *src;
{
    while ((*dest = *src++) != EOS)
	dest++;
    return dest;
}

LOCAL char *_locname(type, ttyname)
    char *type, *ttyname;
{
    static char buffer[200];
    register char c, *cp;

    cp = append( buffer, TTYLOC_DIR );
    *cp++ = '/';
    cp = append( cp, type );		/* "ttyloc" or "netloc" */
    *cp++ = '_';			/* XXX use '/' on old f/s's? */
    cp = append( cp, localhost );
    *cp++ = '_';			/* XXX use '/' on old f/s's? */
    while ((c = *ttyname++) != EOS) {
	if (c == '/')
	    c = '#';
	*cp++ = c;
    }
    *cp = EOS;
    return( buffer );
} /* _locname */

GLOBAL char *locname( ttyname )
    char *ttyname;
{
    return( _locname("ttyloc", ttyname ) );
} /* locname */

# ifdef NETLOC
GLOBAL char *netlocname( ttyname )
    char *ttyname;
{
    return( _locname("netloc", ttyname ) );
} /* netlocname */
# endif /* NETLOC defined */

/*
 * Local variables:
 * comment-column: 40
 * End:
 */
