/*
 * syms.h -- names to lookup via nlist
 *
 * Copyright (C) 1986, 1996  Philip L. Budne
 *
 * This file is part of "Phil's Finger Program".
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 */

# define SYMS_RCSID "$Id: syms.h,v 3.6 2000/02/11 18:29:38 phil Exp $"

# ifndef _FINGER_H_
# include "finger.h"
# endif /* _FINGER_H_ not defined */

# ifndef _SYMS_H_
# define _SYMS_H_

# ifdef sgi
# define HAVE_KERNEL_MAGIC
# endif /* sgi defined */

# if defined(__hpux) && !defined(hpux)	/* hpux11 */
# define hpux
# endif /* defined(__hpux) && !defined(hpux) */

# if !defined(USG) && !defined(hpux)
# define HAVE_VERSION
# endif /* !defined(USG) && !defined(hpux) */

# endif /* _SYMS_H_ not defined */

/*
 *	First argument is string for nlist.
 *	Second argument is string for nlist on COFF systems
 *	Third is member name for Info struct
 */

# if USG < 4
# ifndef NO_KMEM
    SYM("_proc","proc",proc)		/* process table (or pointer) */
# endif /* NO_KMEM not defined */
# ifndef hpux
# if SunOS < 410
    SYM("_u","u",u)			/* u struct (for pause sleep addr) */
# else  /* not SunOS < 410 */
    SYM("_kernelmap","u",u)		/* u struct (for pause sleep addr) */
# endif /* not SunOS < 410 */
# endif /* hpux not defined */

# ifdef USG
    SYM("_v","v",v)			/* sys/var.h var struct */
# ifdef STREAMS
    SYM("_pollwait","pollwait",pollwait) /* poll(2) sleep address */
# endif /* STREAMS defined */
# else  /* USG not defined */
# ifndef NO_KMEM
    SYM("_nproc","nproc",nproc)		/* size of process table */
# ifdef HAVE_VERSION
    SYM("_version","version",version)	/* version/build id string */
# endif /* HAVE_VERSION defined */
# endif /* NO_KMEM not defined */
    SYM("_selwait","selwait",selwait)	/* select(2) sleep address */
# endif /* USG not defined */
# endif /* USG < 4 */

# ifdef sun
    SYM("_rconsdev","rconsdev",rconsdev) /* redirected console? */
# if USG >= 4
/* exp; */
    SYM("_stdindev","stdindev",stdindev)
    SYM("_kbddev","kbddev",kbddev)
    SYM("_fbdev","fbdev",fbdev)
# else  /* not USG >= 4 */
    SYM("_consdev","consdev",consdev)	/* console device */
# endif /* not USG >= 4 */
# endif /* sun defined */

# ifdef sgi
    SYM("_end","end",end)		/* label at end of bss */
    SYM("_kernel_magic","kernel_magic",kernel_magic) /* value of _end */
# endif /* sgi defined */

# ifdef NEED_USRPT
    SYM("_usrpt","usrpt",usrpt)
    SYM("_Usrptmap","Usrptmap",Usrptmap)
# endif /* NEED_USRPT defined */

# ifdef ibm032				/* RT/AOS4.3 */
    SYM("_procSIZE","procSIZE",procSIZE)
    SYM("_userSIZE","userSIZE",userSIZE)
# endif /* ibm032 defined */

# ifdef KSYM_BOOTTIME
    SYM("_boottime","boottime",boottime)
# endif /* KSYM_BOOTTIME defined */

/*
 * Local variables:
 * comment-column: 40
 * End:
 */
